Package com.omnisci.thrift.server

## Class OmniSci.sql_execute_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.sql_execute_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.sql_execute_args>`, `org.apache.thrift.TBase<OmniSci.sql_execute_args,​OmniSci.sql_execute_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.sql_execute_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.sql_execute_args,​OmniSci.sql_execute_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.sql_execute_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.sql_execute_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `at_most_n`
`boolean` `column_format`
`int` `first_n`
`static Map<OmniSci.sql_execute_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `nonce`
`String` `query`
`String` `session`

### Constructor Summary

Constructors
`sql_execute_args()`
`sql_execute_args​(OmniSci.sql_execute_args other)` Performs a deep copy on other.
`sql_execute_args​(String session, String query, boolean column_format, String nonce, int first_n, int at_most_n)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(OmniSci.sql_execute_args other)`
`OmniSci.sql_execute_args` `deepCopy()`
`boolean` `equals​(OmniSci.sql_execute_args that)`
`boolean` `equals​(Object that)`
`OmniSci.sql_execute_args._Fields` `fieldForId​(int fieldId)`
`int` `getAt_most_n()`
`Object` `getFieldValue​(OmniSci.sql_execute_args._Fields field)`
`int` `getFirst_n()`
`String` `getNonce()`
`String` `getQuery()`
`String` `getSession()`
`int` `hashCode()`
`boolean` `isColumn_format()`
`boolean` `isSet​(OmniSci.sql_execute_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetAt_most_n()` Returns true if field at_most_n is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_format()` Returns true if field column_format is set (has been assigned a value) and false otherwise
`boolean` `isSetFirst_n()` Returns true if field first_n is set (has been assigned a value) and false otherwise
`boolean` `isSetNonce()` Returns true if field nonce is set (has been assigned a value) and false otherwise
`boolean` `isSetQuery()` Returns true if field query is set (has been assigned a value) and false otherwise
`boolean` `isSetSession()` Returns true if field session is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`OmniSci.sql_execute_args` `setAt_most_n​(int at_most_n)`
`void` `setAt_most_nIsSet​(boolean value)`
`OmniSci.sql_execute_args` `setColumn_format​(boolean column_format)`
`void` `setColumn_formatIsSet​(boolean value)`
`void` `setFieldValue​(OmniSci.sql_execute_args._Fields field, Object value)`
`OmniSci.sql_execute_args` `setFirst_n​(int first_n)`
`void` `setFirst_nIsSet​(boolean value)`
`OmniSci.sql_execute_args` `setNonce​(String nonce)`
`void` `setNonceIsSet​(boolean value)`
`OmniSci.sql_execute_args` `setQuery​(String query)`
`void` `setQueryIsSet​(boolean value)`
`OmniSci.sql_execute_args` `setSession​(String session)`
`void` `setSessionIsSet​(boolean value)`
`String` `toString()`
`void` `unsetAt_most_n()`
`void` `unsetColumn_format()`
`void` `unsetFirst_n()`
`void` `unsetNonce()`
`void` `unsetQuery()`
`void` `unsetSession()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### session

    public String session

#### query

    public String query

#### column_format

    public boolean column_format

#### nonce

    public String nonce

#### first_n

    public int first_n

#### at_most_n

    public int at_most_n

#### metaDataMap

    public static final Map<OmniSci.sql_execute_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### sql_execute_args

    public sql_execute_args()

#### sql_execute_args

    public sql_execute_args​(String session,
                            String query,
                            boolean column_format,
                            String nonce,
                            int first_n,
                            int at_most_n)

#### sql_execute_args

    public sql_execute_args​(OmniSci.sql_execute_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.sql_execute_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.sql_execute_args,​OmniSci.sql_execute_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.sql_execute_args,​OmniSci.sql_execute_args._Fields>`

#### getSession

    public String getSession()

#### setSession

    public OmniSci.sql_execute_args setSession​(String session)

#### unsetSession

    public void unsetSession()

#### isSetSession

    public boolean isSetSession()

Returns true if field session is set (has been assigned a value) and false otherwise

#### setSessionIsSet

    public void setSessionIsSet​(boolean value)

#### getQuery

    public String getQuery()

#### setQuery

    public OmniSci.sql_execute_args setQuery​(String query)

#### unsetQuery

    public void unsetQuery()

#### isSetQuery

    public boolean isSetQuery()

Returns true if field query is set (has been assigned a value) and false otherwise

#### setQueryIsSet

    public void setQueryIsSet​(boolean value)

#### isColumn_format

    public boolean isColumn_format()

#### setColumn_format

    public OmniSci.sql_execute_args setColumn_format​(boolean column_format)

#### unsetColumn_format

    public void unsetColumn_format()

#### isSetColumn_format

    public boolean isSetColumn_format()

Returns true if field column_format is set (has been assigned a value) and false otherwise

#### setColumn_formatIsSet

    public void setColumn_formatIsSet​(boolean value)

#### getNonce

    public String getNonce()

#### setNonce

    public OmniSci.sql_execute_args setNonce​(String nonce)

#### unsetNonce

    public void unsetNonce()

#### isSetNonce

    public boolean isSetNonce()

Returns true if field nonce is set (has been assigned a value) and false otherwise

#### setNonceIsSet

    public void setNonceIsSet​(boolean value)

#### getFirst_n

    public int getFirst_n()

#### setFirst_n

    public OmniSci.sql_execute_args setFirst_n​(int first_n)

#### unsetFirst_n

    public void unsetFirst_n()

#### isSetFirst_n

    public boolean isSetFirst_n()

Returns true if field first_n is set (has been assigned a value) and false otherwise

#### setFirst_nIsSet

    public void setFirst_nIsSet​(boolean value)

#### getAt_most_n

    public int getAt_most_n()

#### setAt_most_n

    public OmniSci.sql_execute_args setAt_most_n​(int at_most_n)

#### unsetAt_most_n

    public void unsetAt_most_n()

#### isSetAt_most_n

    public boolean isSetAt_most_n()

Returns true if field at_most_n is set (has been assigned a value) and false otherwise

#### setAt_most_nIsSet

    public void setAt_most_nIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.sql_execute_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.sql_execute_args,​OmniSci.sql_execute_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.sql_execute_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.sql_execute_args,​OmniSci.sql_execute_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.sql_execute_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.sql_execute_args,​OmniSci.sql_execute_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.sql_execute_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.sql_execute_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.sql_execute_args>`

#### fieldForId

    public OmniSci.sql_execute_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.sql_execute_args,​OmniSci.sql_execute_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`